#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libcdio-2.1.0

- Next

  Libdvdread-6.1.3

- Up
- Home

# libdvdcss-1.4.3

## Introduction to libdvdcss

libdvdcss is a simple library designed for accessing DVDs as a block device without having to bother about the decryption.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://get.videolan.org/libdvdcss/1.4.3/libdvdcss-1.4.3.tar.bz2

- Download MD5 sum: e98239a88af9b2204f9b9d987c2bc71a

- Download size: 380 KB

- Estimated disk space required: 3.3 MB

- Estimated build time: less than 0.1 SBU

### libdvdcss Dependencies

#### Optional (to Create Documentation)

Doxygen-1.13.2

## Installation of libdvdcss

Install libdvdcss by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libdvdcss-1.4.3 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libdvdcss.so
Installed Directories: /usr/include/dvdcss and /usr/share/doc/libdvdcss-1.4.3

### Short Descriptions

`libdvdcss.so` | provides the functionality that is required for transparent DVD access with CSS decryption

- Prev

  libcdio-2.1.0

- Next

  Libdvdread-6.1.3

- Up
- Home